## ros-indigo-mrp2-hardware 0.2.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mrp2_hardware)

find_package(catkin REQUIRED COMPONENTS
  controller_interface
  controller_manager
  hardware_interface
  realtime_tools
  roscpp
  rospy
  tf
  urdf
  std_msgs
  dynamic_reconfigure
  std_srvs
  nav_msgs
  sensor_msgs
)

find_package(PkgConfig REQUIRED)
pkg_search_module(LIBUSB REQUIRED libusb-1.0)

generate_dynamic_reconfigure_options(
  cfg/Parameters.cfg
)

catkin_package(
  CATKIN_DEPENDS
    controller_interface
    controller_manager
    hardware_interface
    realtime_tools
    roscpp
    tf
    urdf
    std_msgs
    dynamic_reconfigure
    std_srvs
    nav_msgs
    sensor_msgs
  INCLUDE_DIRS include
  #LIBRARIES ${PROJECT_NAME}
  DEPENDS gazebo
)

include_directories(
  include ${catkin_INCLUDE_DIRS} ${LIBUSB_INCLUDE_DIRS}
  ${dynamic_reconfigure_PACKAGE_PATH}/cmake/cfgbuild.cmake
)

add_library(mrp2_serial src/mrp2_serial.cpp src/serial_comm.cpp src/usb_comm.cpp)
add_library(milvus_serial_comm src/serial_comm.cpp)
add_library(milvus_usb_comm src/usb_comm.cpp)
add_executable(mrp2_hardware src/mrp2_hardware.cpp)
add_executable(mrp2_sonar src/mrp2_sonar.cpp)
add_dependencies(mrp2_hardware ${PROJECT_NAME}_gencfg)

target_link_libraries(mrp2_hardware mrp2_serial	${catkin_LIBRARIES} ${LIBUSB_LIBRARIES})
target_link_libraries(mrp2_sonar mrp2_serial ${catkin_LIBRARIES} ${LIBUSB_LIBRARIES})

install(TARGETS mrp2_serial
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h"
)

=== debian/changelog ===
ros-indigo-mrp2-hardware (0.2.5-0trusty) trusty; urgency=high

  * Removed redundant topics
  * Fixed bringup
  * Implemented motor controller
  * Minor fixes
  * Solved hw problems. Updated parameters.
  * Contributors: Akif

 -- Akif Hacinecipoglu <akifhno@gmail.com>  Mon, 15 Aug 2016 21:00:00 -0000

ros-indigo-mrp2-hardware (0.2.4-0trusty) trusty; urgency=high

  * Added udev for debian
  * Added seperate sonar package
  * Updated launch option for sonar
  * Added seperate sonar package
  * Updated package informations
  * Updated dependencies
  * Fixed display driver serial.
  * Fixed hardware comm
  * Fixed checksum bug.
  * Contributors: Akif, Akif Hacinecipoglu, Bolkar Altuntas, MRP2 Dev

 -- Akif Hacinecipoglu <akifhno@gmail.com>  Wed, 09 Mar 2016 22:00:00 -0000

ros-indigo-mrp2-hardware (0.2.1-0trusty) trusty; urgency=high

  * Organized code and structure
  * Package information update
  * Initial commit
  * Contributors: Akif, MRP2 Development

 -- Akif Hacinecipoglu <akifhno@gmail.com>  Sun, 10 Jan 2016 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-mrp2-hardware
Section: misc
Priority: extra
Maintainer: Akif Hacinecipoglu <akifhno@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libusb-1.0-0-dev, ros-indigo-catkin, ros-indigo-controller-interface, ros-indigo-controller-manager, ros-indigo-dynamic-reconfigure, ros-indigo-hardware-interface, ros-indigo-nav-msgs, ros-indigo-realtime-tools, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-urdf
Homepage: http://wiki.ros.org/mrp2_hardware
Standards-Version: 3.9.2

Package: ros-indigo-mrp2-hardware
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-1.0-0-dev, ros-indigo-controller-interface, ros-indigo-controller-manager, ros-indigo-dynamic-reconfigure, ros-indigo-hardware-interface, ros-indigo-nav-msgs, ros-indigo-realtime-tools, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-urdf
Description: Hardware files to communicate with MRP2 base.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-mrp2-hardware//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
